| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
sizer.h File Reference

## Classes
class | wxSizer
| wxSizer is the abstract base class used for laying out subwindows in a window. More...
class | wxStdDialogButtonSizer
| This class creates button layouts which conform to the standard button spacing and ordering defined by the platform or toolkit's user interface guidelines (if such things exist). More...
class | wxSizerItem
| The wxSizerItem class is used to track the position, size and other attributes of each item managed by a wxSizer. More...
class | wxSizerFlags
| Container for sizer items flags providing readable names for them. More...
class | wxFlexGridSizer
| A flex grid sizer is a sizer which lays out its children in a two-dimensional table with all table fields in one row having the same height and all fields in one column having the same width, but all rows or all columns are not necessarily the same height or width as in the wxGridSizer. More...
class | wxGridSizer
| A grid sizer is a sizer which lays out its children in a two-dimensional table with all table fields having the same size, i.e. More...
class | wxStaticBoxSizer
| wxStaticBoxSizer is a sizer derived from wxBoxSizer but adds a static box around the sizer. More...
class | wxBoxSizer
| The basic idea behind a box sizer is that windows will most often be laid out in rather simple basic geometry, typically in a row or a column or several hierarchies of either. More...

## Enumerations
enum | wxFlexSizerGrowMode { wxFLEX_GROWMODE_NONE, wxFLEX_GROWMODE_SPECIFIED, wxFLEX_GROWMODE_ALL }
| Values which define the behaviour for resizing wxFlexGridSizer cells in the "non-flexible" direction. More...

## Enumeration Type Documentation

enum wxFlexSizerGrowMode

Values which define the behaviour for resizing wxFlexGridSizer cells in the "non-flexible" direction.

Enumerator:

  wxFLEX_GROWMODE_NONE | Don't resize the cells in non-flexible direction at all.
  wxFLEX_GROWMODE_SPECIFIED | Uniformly resize only the specified ones (default).
  wxFLEX_GROWMODE_ALL | Uniformly resize all cells.